Async ingest a single candidate
curl --request POST \
--url https://api.heymilo.ai/api/v2/postings/{posting_id}/candidates/async \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"name": "Jane Doe",
"email": "jane.doe@example.com",
"phone_number": "+12065551234",
"metadata": {
"ats_stage": "phone_screen",
"external_id": "candidate_xyz"
},
"data": {}
}
'import requests
url = "https://api.heymilo.ai/api/v2/postings/{posting_id}/candidates/async"
payload = {
"name": "Jane Doe",
"email": "jane.doe@example.com",
"phone_number": "+12065551234",
"metadata": {
"ats_stage": "phone_screen",
"external_id": "candidate_xyz"
},
"data": {}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Jane Doe',
email: 'jane.doe@example.com',
phone_number: '+12065551234',
metadata: {ats_stage: 'phone_screen', external_id: 'candidate_xyz'},
data: {}
})
};
fetch('https://api.heymilo.ai/api/v2/postings/{posting_id}/candidates/async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"ingestion_id": "intake_abc123",
"object": "ingestion",
"status": "queued"
},
"meta": {}
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "The request body failed validation",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "invalid_param",
"message": "title must be between 3 and 200 characters",
"param": "title"
}
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "The request body failed validation",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "invalid_param",
"message": "title must be between 3 and 200 characters",
"param": "title"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "The request body failed validation",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "invalid_param",
"message": "title must be between 3 and 200 characters",
"param": "title"
}
]
}
}Async ingest a single candidate
Queue a candidate for async processing through the interviewer’s workflow. Returns an ingestion ID to track the job.
POST
/
api
/
v2
/
postings
/
{posting_id}
/
candidates
/
async
Async ingest a single candidate
Authorizations
API key for authentication. Pass your key in the X-API-KEY header.
Path Parameters
Body
application/json
Candidate full name
Example:
"Jane Doe"
Candidate email address
Example:
"jane.doe@example.com"
Candidate phone number (E.164 format)
Example:
"+12065551234"
Set of key-value pairs for storing additional information on the candidate. Up to 50 keys, each key max 40 chars, each value max 500 chars.
Show child attributes
Show child attributes
Example:
{
"ats_stage": "phone_screen",
"external_id": "candidate_xyz"
}
Additional candidate data
Was this page helpful?
⌘I